from kivy.app import App
from kivy.uix.modalview import ModalView
from kivy.uix.gridlayout import GridLayout
from kivy.uix.button import Button
from kivy.clock import Clock
from kivy.properties import NumericProperty, ReferenceListProperty,\
    ObjectProperty
from cat import Cat
from time import sleep
Maru = Cat()

class PetApp(App):
    

    def play(instance):
        try:
            Maru.play()
            sleep(0.1)
            Maru.face()
            Maru.clear()
            Maru.sound()
            Maru.face()
            sleep(0.1)
            Maru.clear()
        except:
            pass
    def bath(instance):
        try:
            Maru.bath()
            sleep(0.1)
            Maru.bath()
            sleep(0.1)
            Maru.face()
            Maru.clear()
            Maru.sound()
            Maru.face()
            sleep(0.1)
            Maru.clear()
        except:
            pass
    
    def eat(instance):
        try:
            Maru.eat()
            sleep(0.1)
            Maru.eat()
            sleep(0.1)
            Maru.face()
            Maru.clear()
            Maru.sound()
            Maru.face()
            sleep(0.1)
            Maru.clear()
        except:
            pass
    
    def cry(instance):
        try:
            Maru.cry()
            Maru.clear()
            Maru.cry()
            Maru.clear()
            sleep(0.1)
            Maru.cry()
            Maru.clear()
            Maru.face()
            Maru.clear()
        except:
            pass
    
    def poopoo(instance):
        try:
            Maru.poopoo()
            sleep(0.1)
            Maru.poopoo()
            sleep(0.1)
            Maru.poopoo()
            sleep(0.1)
            Maru.face()
            sleep(0.1)
            Maru.clear()
        except:
            pass

    def build(self):
        view = ModalView(size_hint=(None, None), size=(800, 600), background='./IconPrcticum/bk.png')


        button1 = Button(background_normal='./IconPrcticum/play.png' )
        button1.bind(on_press=PetApp.play)
        button2 = Button(background_normal='./IconPrcticum/bath.png' )
        button2.bind(on_press=PetApp.bath)
        button3 = Button(background_normal='./IconPrcticum/food.png' )
        button3.bind(on_press=PetApp.eat)
        button4 = Button(background_normal='./IconPrcticum/cry.png' )
        button4.bind(on_press=PetApp.cry)
        button5 = Button(background_normal='./IconPrcticum/toileticon.png' )
        button5.bind(on_press=PetApp.poopoo)

        layout = GridLayout(cols=8,row_force_default=True, row_default_height=150, col_force_default=True, col_default_width=150, padding=[25,250,40,200])
        view.add_widget(layout)
        
        layout.add_widget(button1)
        layout.add_widget(button2)
        layout.add_widget(button3)
        layout.add_widget(button4)
        layout.add_widget(button5)
        try:
            Clock.schedule_interval(Maru.clear(), 1)
        except:
            pass
        return view

if __name__ == '__main__':
    PetApp().run()
#view.add_widget(Label(text='Hello world'))

